# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit eutils cmake-utils

DESCRIPTION="ILM's OpenEXR high dynamic-range image file format libraries"
HOMEPAGE="http://openexr.com/"
SRC_URI="https://github.com/openexr/openexr/archive/v${PV}.tar.gz"

LICENSE="BSD"
KEYWORDS="~amd64 -arm ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
SLOT="0"

RDEPEND="sys-libs/zlib
  !media-libs/ilmbase"

RESTRICT="test" # Tests broken upstream doesn't really care about them, bug #656680

DOCS=( CHANGES.md README.md )

PATCHES=(
	"${FILESDIR}/openexr-2.4-fix-pkg-config.patch"
)

src_configure() {
	cmake-utils_src_configure
}

src_install() {
	cmake-utils_src_install
}
